C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LDM_NDSET_PK     **
C**************************
C
C
      SUBROUTINE LDM_NDSET_PK (IPACK, ND_PAR, ND, MAXPK)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Set ND values for a pack based real parameter
C
C ***** 'LDM' SERVICE ROUTINE ONLY *****
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      INTEGER IPACK
      INTEGER MAXPK
      INTEGER ND_PAR(MAXPK)
      INTEGER ND

C  IPACK     (R)   Pack number, 0=all packs
C  ND_PAR    (W)   Array containing ND flags to be set
C  ND        (R)   Value to be set
C  MAXPK     (R)   Pack array dimension
C
C====== GLOBALS:
C

C
C====== LOCALS:
C
      INTEGER I
C
C-------------------------------------------------------------------------------
C
      IF (IPACK.EQ.0) THEN
         DO 100 I = 1, MAXPK
            ND_PAR(I) = ND
100      CONTINUE
      ELSE        
         ND_PAR(IPACK) = ND
      END IF
      RETURN
      END
