**==mtx_mult.f  
C++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
      SUBROUTINE  MTX_MULT (A,B,R,M,L,N)
C
C Purpose: MTX_MULT multiplies (MXL) matrix A by (L*N) matrix B
C          and puts in (MXN) matrix R
C
C      IMPLICIT NONE
      INTEGER  M, L, N
      REAL     A(M,L), B(L,N), R(M,N)
C
C
C-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
C Local Variables:
C
      INTEGER  I, J, K
C
C------------------------------------------------------------------------------
C
      DO 40 I = 1 , M
         DO 30 J = 1 , N
            R(I,J) = 0.0
            DO 20 K = 1 , L
               R(I,J) = R(I,J) + A(I,K)*B(K,J)
 20         CONTINUE
 30      CONTINUE
 40   CONTINUE
C
      RETURN
      END
