**==mtx_unit.f  
C++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
      SUBROUTINE  MTX_UNIT (R,N)
C
C Purpose: Places a unit matrix of order n in array R
C
C      IMPLICIT NONE
      INTEGER  N
      REAL     R(N,N)
C
C CALLS   0:
C MTXLIB  1: MTX_ZERO
C
C-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
C Local Variables:
C
      INTEGER  I
C
C------------------------------------------------------------------------------
C
      CALL MTX_ZERO(R,N,N)
C
      DO 20 I = 1 , N
         R(I,I) = 1.0
 20   CONTINUE
C
      RETURN
      END
